<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Home extends MX_Controller 
{
	public function __construct() 
	{
		parent::__construct();
		$this->load->helper('cookie');
	}
	
	public function index ()
	{
            
		$admin_info = $this->session->userdata('adminInfo');
		if ($admin_info)
		{
			$this->load->view('index');
		}else
		{
			$this->load->view ( 'login');
		}
	}
	
	public function login()
	{
           
		$username = $this->input->post('user_admin');
		$password = $this->input->post('password');
		
		$this->load->model(array('admin_model'));
		$data = $this->admin_model->check_login($username, $password);
		if ($data == null)
		{
			$this->session->set_flashdata('login_error', TRUE);
			redirect("/admin/home");
		}
		else
		{
			$admindata = array('user_admin' => $username, "logined_in" => TRUE);
			$this->session->set_userdata('adminInfo', $admindata);
			redirect("/admin/home");
		}
	}
	
	public function logout()
	{
		$this->session->sess_destroy();
		redirect("/admin/home");
	}
	
	public function admin_acc()
	{
		$admin_info = $this->session->userdata('adminInfo');
		if($admin_info){
			$this->load->model('admin_model');
			$data = $this->admin_model->get_list();
			$this->load->view('admin_acc', array('data'=>$data));
		}else
		{
			redirect("/admin/home");
		}
	}
	
	public function insert()
	{
		$admin_info = $this->session->userdata('adminInfo');
		if($admin_info)
		{
			$login_name = $this->input->post('username');
			$password = $this->input->post('password');
			$full_name = $this->input->post('fullname');
			$email = $this->input->post('email');
			$phone = $this->input->post('phone');
			$created_time = date('Y-m-d H:i:s', time());
			$updated_time = date('Y-m-d H:i:s', time());
			$data = array('login_name'=>$login_name, 'full_name'=>$full_name, 'email'=>$email, 'phone'=>$phone, 'created_time'=>$created_time, 'updated_time'=>$updated_time);
			$this->load->model('admin_model');
			$this->admin_model->insert($data);
			redirect("/admin/home/admin_acc");
			
		}else
		{
			redirect("/admin/home");
		}
	}
	
	public function update()
	{
		$admin_info = $this->session->userdata('adminInfo');
		if($admin_info)
		{
			$admin_id = (int)$this->input->post('id');
			$login_name = $this->input->post('username');
			//$password = $this->input->post('password');
			$full_name = $this->input->post('fullname');
			$email = $this->input->post('email');
			$phone = $this->input->post('phone');
			$updated_time = date('Y-m-d H:i:s', time());
			$data = array('login_name'=>$login_name, 'full_name'=>$full_name, 'email'=>$email, 'phone'=>$phone, 'updated_time'=>$updated_time);
			$this->load->model('admin_model');
			$this->admin_model->update($admin_id, $data);
			redirect("/admin/home/admin_acc");
		}else
		{
			redirect("/admin/home");
		}	
	}
	
	public function delete()
	{
		$admin_info = $this->session->userdata('adminInfo');
		if($admin_info)
		{
			$admin_id = (int)$this->input->post('id');
			//echo $admin_id;
			$this->load->model('admin_model');
			$this->admin_model->delete($admin_id);
			redirect("/admin/home/admin_acc");
		}else
		{
			redirect("/admin/home");
		}	
	}
	
	public function user_profile()
	{
		$admin_info = $this->session->userdata('adminInfo');
		if($admin_info)
		{
			$this->load->view('user_profile');
		}else
		{
			redirect("/admin/home");
		}
	}
	
}